<?php
// $Id: media_wistia.admin.inc,v 1.1 2011/02/06 00:14:35 evandonovan Exp $

/**
 * @file
 * media_wistia/includes/media_wistia.admin.inc
 * Administrative functions for Media: Wistia.
 */

/**
 * The administrative settings form for Media: Wistia.
 */
function media_wistia_settings() {
  $form = media_wistia_admin_form();
  $form['settings_info'] = array(
    '#type' => 'item',
    '#value' => t('These settings specifically affect videos displayed from !wistia. You can also read more about its !api.', array('!wistia' => l(t('Wistia.com'), MEDIA_WISTIA_MAIN_URL, array('attributes' => array('target' => '_blank'))), '!api' => l(t("developer's API"), MEDIA_WISTIA_API_INFO, array('attributes' => array('target' => '_blank'))))),
    '#weight' => -10,
  );
  return system_settings_form($form);
}

/**
 * This form will be displayed both at /admin/settings/media_wistia and
 * admin/content/emfield.
 * @TODO: - add the variables that are used in the Wistia Data API.
 *        - use thumb_size in conjunction with parameters for requesting thumbnails (ImageMagick)
 */
function media_wistia_admin_form() {
  $form[media_wistia_variable_name('api_key')] = array(
    '#type' => 'textfield',
    '#title' => t('Wistia API Key'),
    '#default_value' => media_wistia_variable_get('api_key'),
  );
  $form[media_wistia_variable_name('account_subdomain')] = array(
    '#type' => 'textfield',
    '#title' => t('Wistia Account Subdomain'),
    '#default_value' => media_wistia_variable_get('account_subdomain'),
  );
  /* $form[media_wistia_variable_name('thumb_size')] = array(
    '#type' => 'select',
    '#title' => t('Wistia Thumbnail Size'),
    '#options' => array('96' => '96', '100' => '100', '160' => '160', '200' => '200', '460' => '460'),
    '#default_value' => media_wistia_variable_get('thumb_size'),
  ); */
  return $form;
}
